/*
 * (C) 1995-2001 Clemson University and Argonne National Laboratory.
 *
 * See COPYING in top-level directory.
 */


static char pvfs_exit_c[] = "$Header: /projects/cvsroot/pvfs/lib/pvfs_exit.c,v 1.3 2001/01/30 23:32:15 pcarns Exp $";

#include <lib.h>

extern fdesc_p pfds[];
extern int errno;

void *pvfs_exit(void)
{
	int i;

	for (i = 0; i < NR_OPEN; i++) {
		if (!pfds[i] || pfds[i]->fs != FS_PVFS) continue;
		pvfs_close(i);
	}
	LOG("Closed open files\n");
	return(0);
}	
